### Home Classes Methods

### In Files

- lib/memcache/migration.rb

### Parent

ActiveRecord::Migration

### Methods

- ::down
- ::up

### Class/Module Index

Quicksearch

- Memcache
- Memcache::Base
- Memcache::ClientError
- Memcache::ConnectionError
- Memcache::Error
- Memcache::LocalServer
- Memcache::Migration
- Memcache::NullServer
- Memcache::PGServer
- Memcache::Pool
- Memcache::Segmented
- Memcache::SegmentedNativeServer
- Memcache::SegmentedServer
- Memcache::Server
- Memcache::ServerError
- Object
- PGconn

No matching classes.

# Memcache::Migration

### Attributes

table[RW]

### Public Class Methods

down() click to toggle source

    # File lib/memcache/migration.rb, line 20
    def self.down
      drop_table table
    end

up() click to toggle source

    # File lib/memcache/migration.rb, line 7
    def self.up
      create_table table, :id => false do |t|
        t.string    :prefix, :null => false
        t.string    :key,    :null => false
        t.text      :value,  :null => false
        t.timestamp :expires_at
        t.timestamp :updated_at
      end

      add_index table, [:prefix, :key], :unique => true
      add_index table, [:expires_at]
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.